//
//  PhotoEditingToolCell.swift
//  WoWonder
//
//  Created by iMac on 20/05/25.
//  Copyright © 2025 ScriptSun. All rights reserved.
//

import UIKit

class PhotoEditingToolCell: UICollectionViewCell {
    
    @IBOutlet weak var imageView: UIImageView!
    @IBOutlet weak var nameLabel: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        
        // Initialization code
        
    }
    
    func setData(data: ToolModel) {
        self.imageView.image = UIImage(named: data.icon)
        self.imageView.tintColor = UIColor(hex: data.color)
        self.nameLabel.text = data.name
        self.nameLabel.textColor = UIColor(hex: data.color)
    }
    
}
